People
Update an employment
Update an existing employment record for a person
PATCH
/
v1
/
people
/
{person_id}
/
employments
/
{id}
Update an employment
curl --request PATCH \
--url https://api.slant.app/v1/people/{person_id}/employments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_name": "New Corp",
"role": "Director",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": false
}
'import requests
url = "https://api.slant.app/v1/people/{person_id}/employments/{id}"
payload = {
"business_name": "New Corp",
"role": "Director",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_name: 'New Corp',
role: 'Director',
start_date: '2023-01-15',
end_date: '2024-12-31',
actively_employed: false
})
};
fetch('https://api.slant.app/v1/people/{person_id}/employments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"business_name": "Acme Corp",
"id": "emp123xyz",
"person_id": "abc123xyz",
"role": "Software Engineer",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": true
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Body
application/json
Response
employment updated
Example:
"Acme Corp"
The employment ID
Example:
"emp123xyz"
The person ID
Example:
"abc123xyz"
Example:
"Software Engineer"
Example:
"2023-01-15"
Example:
"2024-12-31"
Example:
true
⌘I
Update an employment
